package com.szpg.plc.message.response;

import org.apache.log4j.Logger;

import com.szpg.plc.message.CommandResponse;

public class WriteMemoryCommandResponse extends CommandResponse {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2712983116469366743L;
	
	private final Logger logger = Logger.getLogger(this.getClass().getName());
	
	private boolean success;
	private String commandType;
	
	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public String getCommandType() {
		return commandType;
	}

	public void setCommandType(String commandType) {
		this.commandType = commandType;
	}

	@Override
	public void afterAction() {
		if (this.isSuccess() == true) {
			logger.info("[" + this.getAcucode() + "]设置/控制指令成功[" + this.getCommandType() + "]");
		}
	}

	@Override
	public void parseData() {
		
	}

}
